summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-07 01:40:30 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-07 01:40:30 +0000
commitda9392f93004349d39612e22337db137975a9210 (patch)
tree01c3aef277044f4b7da9b49b7f6578b39908366c /dev-python
parentf001d73742671206e73085be095e851b1eb7d019 (diff)
downloadbaldeagleos-repo-da9392f93004349d39612e22337db137975a9210.tar.gz
baldeagleos-repo-da9392f93004349d39612e22337db137975a9210.tar.xz
baldeagleos-repo-da9392f93004349d39612e22337db137975a9210.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/clang-python/clang-python-15.0.0.9999.ebuild41
-rw-r--r--dev-python/environs/Manifest1
-rw-r--r--dev-python/environs/environs-9.5.0.ebuild34
-rw-r--r--dev-python/importlib_metadata/importlib_metadata-4.10.1-r1.ebuild51
-rw-r--r--dev-python/jupyter_server/Manifest1
-rw-r--r--dev-python/jupyter_server/jupyter_server-1.13.5.ebuild67
-rw-r--r--dev-python/lit/lit-15.0.0.9999.ebuild41
-rw-r--r--dev-python/numpy/numpy-1.22.2.ebuild2
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-4.2.0.ebuild51
-rw-r--r--dev-python/pytest-httpx/Manifest1
-rw-r--r--dev-python/pytest-httpx/pytest-httpx-0.20.0.ebuild34
-rw-r--r--dev-python/scipy/Manifest1
-rw-r--r--dev-python/scipy/files/scipy-1.8.0-skip-build-revert.patch22
-rw-r--r--dev-python/scipy/scipy-1.8.0.ebuild188
-rw-r--r--dev-python/semantic_version/Manifest1
-rw-r--r--dev-python/semantic_version/semantic_version-2.9.0.ebuild25
-rw-r--r--dev-python/setuptools/Manifest1
-rw-r--r--dev-python/setuptools/setuptools-60.8.0.ebuild113
-rw-r--r--dev-python/sphobjinv/Manifest1
-rw-r--r--dev-python/sphobjinv/sphobjinv-2.2.1.ebuild55
-rw-r--r--dev-python/unidiff/Manifest1
-rw-r--r--dev-python/unidiff/unidiff-0.7.3.ebuild20
-rw-r--r--dev-python/virtualenv/Manifest1
-rw-r--r--dev-python/virtualenv/virtualenv-20.13.1.ebuild97
25 files changed, 798 insertions, 53 deletions
diff --git a/dev-python/clang-python/clang-python-15.0.0.9999.ebuild b/dev-python/clang-python/clang-python-15.0.0.9999.ebuild
new file mode 100644
index 000000000000..c9856c7e47f9
--- /dev/null
+++ b/dev-python/clang-python/clang-python-15.0.0.9999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+RDEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/environs/Manifest b/dev-python/environs/Manifest
index 00c3212ae80d..6fdf1d67bb1f 100644
--- a/dev-python/environs/Manifest
+++ b/dev-python/environs/Manifest
@@ -1 +1,2 @@
DIST environs-9.3.4.gh.tar.gz 22914 BLAKE2B b47df2f7641ad47b48a0d4aaaaa0ce4fb2c805cefe6d997e5c6aa2ccfb2908196d879e251d496dda5ca9d112e1d2e60dd543f1ff62b7ad82ae5d546847aceef6 SHA512 b06110071ca423c6c6bdab8cb104dbc372cce77dcb057204b0b8c404827daeebfe72325d6d978bb4920c1b106af790b206b5d8a33f99bcbe31da4f82d4512006
+DIST environs-9.5.0.gh.tar.gz 23614 BLAKE2B 118305f7d6d2906beff69aa028449f8a5f6eba7815ec63972593dd43930802b5d1bd60457edc9803ed8ad216ae8feaad0d77fc03cd21e9883c40dc6656b1102e SHA512 8a73f9f89efe4d72b9a7a5a48b21ccaafcf32d59a6153c7cfa1c91d90a3a8a75e6c05d0ff0fecb94f593008dfff4c3534195f258391cee8fb720ee93c4f42812
diff --git a/dev-python/environs/environs-9.5.0.ebuild b/dev-python/environs/environs-9.5.0.ebuild
new file mode 100644
index 000000000000..b612b1f667fd
--- /dev/null
+++ b/dev-python/environs/environs-9.5.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for simplified environment variable parsing"
+HOMEPAGE="https://github.com/sloria/environs"
+SRC_URI="https://github.com/sloria/environs/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ dev-python/marshmallow[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/django-cache-url[${PYTHON_USEDEP}]
+ dev-python/dj-database-url[${PYTHON_USEDEP}]
+ dev-python/dj-email-url[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.md README.md )
+
+distutils_enable_tests pytest
diff --git a/dev-python/importlib_metadata/importlib_metadata-4.10.1-r1.ebuild b/dev-python/importlib_metadata/importlib_metadata-4.10.1-r1.ebuild
new file mode 100644
index 000000000000..27dc3007b00a
--- /dev/null
+++ b/dev-python/importlib_metadata/importlib_metadata-4.10.1-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+# NB: this package extends beyond built-in importlib stuff in py3.8+
+# new entry_point API not yet included in cpython release
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Read metadata from Python packages"
+HOMEPAGE="https://github.com/python/importlib_metadata"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pyfakefs[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' pypy3 python3_8)
+ )
+"
+
+distutils_enable_sphinx docs dev-python/jaraco-packaging dev-python/rst-linker
+distutils_enable_tests unittest
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "importlib_metadata"
+ version = "${PV}"
+ description = "Read metadata from Python packages"
+ EOF
+}
diff --git a/dev-python/jupyter_server/Manifest b/dev-python/jupyter_server/Manifest
index 5d28ac37ef36..9963e2045440 100644
--- a/dev-python/jupyter_server/Manifest
+++ b/dev-python/jupyter_server/Manifest
@@ -2,3 +2,4 @@ DIST jupyter_server-1.13.1.tar.gz 423717 BLAKE2B 9524e6648365e9c4158a8af4a4b277b
DIST jupyter_server-1.13.2.tar.gz 422777 BLAKE2B b263831ea27b5628c01f6c0897b213b8e97d60d234e6843817750eb41cf23cc27160841d3e65ccf210648571b8a0532c921bc9cd01ec56d78b4d1cad70cec91d SHA512 93a78a7b47c570e4bee80ef51fb0e35027caf414bfbd3c1bdf1f65d166d9756fade984070605f617912144b043c099c63812f7ba6b2be64c6524f5b8c6f24d7f
DIST jupyter_server-1.13.3.tar.gz 423083 BLAKE2B 74bc31f0a853559a5368fc48ce9c9991147c76a13f4598cd0973ce27a4417a0320b157f83ce6f6c2450005f0d5668140175ee4d37d77160bb721ed27e9030372 SHA512 01c7a353b4890b4b9f33e4fec4d8ea141d60145d106cf21f9ba2372ee14e45433a0d83d78efa0ae7160f2fc22f7be0b4822992e9d135b3dfdc9bfb01a538f491
DIST jupyter_server-1.13.4.tar.gz 423176 BLAKE2B a1a3e2f57eb0c570649ead2b03328258575f04fe32c0ee4afc0758fffa8804cdbae24b2aa9e8785a81f287d6f5c197bf2f0a18803f9a65cef441b46950a3597d SHA512 c15ddf92a8f7cede8d2c45a9c1cee0f70373083f61f970794b88b8c7cd12b56e0ac0e451446392ed93db8944bfff0910046c163a088cd639a9bc9bdcdc4c597c
+DIST jupyter_server-1.13.5.tar.gz 425707 BLAKE2B 503b0b079cafe4e9b046b8386055cf9c2396a5256b81862048f59b43aadbb04090f7443cfcee1ef3d8d625215679dc337787e40a774aab962724e084472bae44 SHA512 17241cccee6714675644ee9391a134ee053fc7e271a9a5f44bae87f2a5b80dd80af67a5d8ec39cc6c1573980fc16be527abe104838d2429855cc63a12214509e
diff --git a/dev-python/jupyter_server/jupyter_server-1.13.5.ebuild b/dev-python/jupyter_server/jupyter_server-1.13.5.ebuild
new file mode 100644
index 000000000000..9ef434a4f00a
--- /dev/null
+++ b/dev-python/jupyter_server/jupyter_server-1.13.5.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Core services, APIs, and REST endpoints to Jupyter web applications"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=www-servers/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/ipython_genutils[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.6.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-6.1.1[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/send2trash[${PYTHON_USEDEP}]
+ >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+ dev-python/prometheus_client[${PYTHON_USEDEP}]
+ >=dev-python/anyio-3.1.0[${PYTHON_USEDEP}]
+ <dev-python/anyio-4[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs/source \
+ dev-python/pydata-sphinx-theme \
+ dev-python/myst_parser \
+ dev-python/ipython \
+ dev-python/sphinxemoji \
+ dev-python/sphinxcontrib-github-alt \
+ dev-python/sphinxcontrib-openapi
+distutils_enable_tests --install pytest
+
+EPYTEST_DESELECT=(
+ # This fails if your terminal is zsh (and maybe other non-bash as well?)
+ jupyter_server/tests/test_terminal.py::test_terminal_create_with_cwd
+ jupyter_server/tests/test_terminal.py::test_culling_config
+ jupyter_server/tests/test_terminal.py::test_culling
+)
+
+python_prepare_all() {
+ # Defining 'pytest_plugins' in a non-top-level conftest is no longer supported:
+ mv jupyter_server/conftest.py . || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/lit/lit-15.0.0.9999.ebuild b/dev-python/lit/lit-15.0.0.9999.ebuild
new file mode 100644
index 000000000000..82f7494d65ef
--- /dev/null
+++ b/dev-python/lit/lit-15.0.0.9999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/numpy/numpy-1.22.2.ebuild b/dev-python/numpy/numpy-1.22.2.ebuild
index 1ebc8614ed80..018797fbf400 100644
--- a/dev-python/numpy/numpy-1.22.2.ebuild
+++ b/dev-python/numpy/numpy-1.22.2.ebuild
@@ -24,7 +24,7 @@ SRC_URI="
)"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc lapack"
RDEPEND="
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index dd123d85f944..e59d40bc639c 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,3 +1,2 @@
-DIST pikepdf-4.2.0.tar.gz 2337822 BLAKE2B ca966ae2c1be1805cc6ce99e34eb6692fe89bf29f1e6a3161eb04daa52e3890ae8d8859e4165801395efc5d3364d215ea5fc659fb344388a36bf32b638ad72bf SHA512 a01e2b0defbf6689b7d47346a85c07ae575ae57833d5be93e4099890ed5bb5b205595dc43ddd917ab4adc87ad591199c728c886358b8d4c03b1522193428e23d
DIST pikepdf-4.3.1.tar.gz 2348339 BLAKE2B 9b1f04a87e7e7d2dc2589eaa7db4a670e8ceda753191e473e1a5da9ead532121d0d7d4f734fa234d60a9b5a5931d022f46e252a8c69947e9553df67b81043a06 SHA512 0156ad57a9af2d39538f9f728231e931e1a44ecea74d26e850640fa062f2dc60d427deeea5fc25ab33037d11d7a403cefe5f930c7ed92be92a6d3432f87d8fa6
DIST pikepdf-4.4.1.tar.gz 2350630 BLAKE2B 3a0973bda758952ad4f2bbbb37061882e86cc17776ff72a5ac69950c46adfe0584f447f3dbe0ddac80d41b3b183fe31caad96dbd4c1db4c14499b449c8cdd371 SHA512 4158ff7f8e5ee6098ea73ec3bc47686b3113d941d9522ded0ffd572e624d3b1099939b5103de8eb90c73048fe8ca2be8bc5e1b3946ebe8159df877cf9633f6fa
diff --git a/dev-python/pikepdf/pikepdf-4.2.0.ebuild b/dev-python/pikepdf/pikepdf-4.2.0.ebuild
deleted file mode 100644
index 26d700e6d928..000000000000
--- a/dev-python/pikepdf/pikepdf-4.2.0.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-MY_P=${P/_p/.post}
-DESCRIPTION="Python library to work with pdf files based on qpdf"
-HOMEPAGE="https://pypi.org/project/pikepdf/ https://github.com/pikepdf/pikepdf"
-SRC_URI="
- https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
- -> ${MY_P}.tar.gz"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="MPL-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~x86"
-
-DEPEND=">=app-text/qpdf-10.3.1:0="
-RDEPEND="${DEPEND}
- >=dev-python/pillow-7[${PYTHON_USEDEP}]
- >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
- >=dev-python/pybind11-2.7.1[${PYTHON_USEDEP}]"
-BDEPEND="
- >=dev-python/pybind11-2.7.1[${PYTHON_USEDEP}]
- >=dev-python/setuptools_scm-4.1[${PYTHON_USEDEP}]
- dev-python/toml[${PYTHON_USEDEP}]
- dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
- test? (
- >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
- >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
- >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
- >=dev-python/psutil-5[${PYTHON_USEDEP}]
- >=dev-python/pytest-6[${PYTHON_USEDEP}]
- >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
- >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
- >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
- )"
-
-#distutils_enable_sphinx docs \
-# dev-python/ipython \
-# dev-python/matplotlib \
-# dev-python/sphinx_rtd_theme
-distutils_enable_tests pytest
-
-src_prepare() {
- sed -i -e '/-n auto/d' pyproject.toml || die
- distutils-r1_src_prepare
-}
diff --git a/dev-python/pytest-httpx/Manifest b/dev-python/pytest-httpx/Manifest
index b8d5b4b1826f..793e467b8c2f 100644
--- a/dev-python/pytest-httpx/Manifest
+++ b/dev-python/pytest-httpx/Manifest
@@ -1,3 +1,4 @@
DIST pytest-httpx-0.17.3.tar.gz 23737 BLAKE2B 1f335542c1d6940d68b023682df6a1fabe93e8e21b70e113830bc4895481fe1cbf074490b176ecd91f595df960790f7e305c3809af3ba5039b96c8748b40ee40 SHA512 b3c2dc8c5015f44a511659b51843cb9cf8ada163ebd7fe4ccb50438d6e191fdc84bb84f38fcd0c27dbfe0592314da0df8d319caecad32f37e3a30de40b496299
DIST pytest-httpx-0.18.0.gh.tar.gz 22939 BLAKE2B a55923e63ad47ebd6ef05eafdadcec4caabab1341ab5f70e68357bc44cab53006a38b0d07f9540007ac46686499fd7355610a22a82b075a1e674d1fa3250efe9 SHA512 a7f24eefb8ba371e8c86526dd63e5ec7a6fa2e7a122643c8907a3da3b9a17a06e99416c5dc927f42320aa88fc213d5a327f53ec92e345853d5350902801fa1bc
DIST pytest-httpx-0.19.0.gh.tar.gz 22971 BLAKE2B e62dbd043ff727d6b91d82963514d62f23766ad69380675334b6a429c11f00e2062cd0cc9dedce662c5ec13ff42f3eb9bb2620d0f021bfe9b5f4ad7ae7694d28 SHA512 a3a296445894cb8f68a8ce367b5e3e399471be45c6fa1d5fa4957910b45af244393957f49b5fb0ec2c0a0e8c507e63d572a0fa672430fe030b2529c2fefa6911
+DIST pytest-httpx-0.20.0.gh.tar.gz 23106 BLAKE2B b44890bc0f916a10d57b1fe16523808cc9ab9a364d39980c49b4d26823afe7c9388b442cf99225605d741d192b5f282acdce0c7929e00ea076f10f04a55597a3 SHA512 54f588ddaaa0b9909f38a25ae1cf08d63f943a0fa169d4b77d2e8b967fc001af1f667b7c91dfcaf14bbed948d72df22ec133468ad692157b31259b2b155ebd88
diff --git a/dev-python/pytest-httpx/pytest-httpx-0.20.0.ebuild b/dev-python/pytest-httpx/pytest-httpx-0.20.0.ebuild
new file mode 100644
index 000000000000..5b4b19b00ab3
--- /dev/null
+++ b/dev-python/pytest-httpx/pytest-httpx-0.20.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/_}"
+DESCRIPTION="Send responses to HTTPX using pytest"
+HOMEPAGE="https://colin-b.github.io/pytest_httpx/"
+SRC_URI="
+ https://github.com/Colin-b/${MY_PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ =dev-python/httpx-0.22*[${PYTHON_USEDEP}]
+ <dev-python/pytest-8[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/scipy/Manifest b/dev-python/scipy/Manifest
index 88d145b73116..a902c4b4014b 100644
--- a/dev-python/scipy/Manifest
+++ b/dev-python/scipy/Manifest
@@ -1,6 +1,7 @@
DIST scipy-1.6.3.tar.gz 27187987 BLAKE2B 30f7171ca0dc0842f254472f4b52c0b0ad4389964a140cc4b94f9d85437c5a7da238c082be503242d433f1d3c65c3fd4afeb2f7831eea39ce303077406e718df SHA512 10ff25da84ce09ae231e781873902d8040d79868721d75a3f9facee177e7f46f7c9c34374feee6fe2253ddd968716d2993658ce514c4ac0c98d255c06a6ef808
DIST scipy-1.7.1.tar.gz 36102628 BLAKE2B 67a414d863c61bf419fa907b9bed53b57beedc20d71d0630fac9719f02e951ea79b893d0803b385936a7c04a6c2f723d3870f0498f71e3c210ccd6ee75a009dc SHA512 81fea7e4f5fbcd537d662273507b6ac75bd4cf900567da8083ac86fb06d9f96b010d01a1697db53211440f0fdb2d89510313bafd3d383284d0ab9a08311dd102
DIST scipy-1.7.3.tar.gz 36102562 BLAKE2B 9a605a45d8f03aae3411a6fa92e32c7f6d10373455493ead847d4ad01429b55dbbc33c1a0309d6c9d76d3e9ab1a06772df59c08d393377896c4b534599f9eb9b SHA512 83fe00cf708a13a08d28af7022ec645d8976c177f2fefb56e0a47bfcbec726330b973d1f44364e23c939ae708e239a05904346f515ea1a37e8b70ad160b81cee
+DIST scipy-1.8.0.tar.gz 38313602 BLAKE2B 3f071ad3dfa350bba7eaf8e06c8bdb660f9dc1ef0e0bfc1eb1be2c400f947b2b26d62066a4b0f603ae56244131aff6e4c5b7e87cfd2aa7b278e3071062a4bf02 SHA512 674652728ae76479d17189e6974895bb838a8e83b17b9fb91c5f86faebf2a1387e1466555ac5b51d05c293f9b31b9a72e634f5858105ea984ca94bd2f05bbb4c
DIST scipy-html-1.6.2.zip 23947380 BLAKE2B e4616a157c037b0830fc32d23678fb7e8ebe023d1fd9f0f762695a0d93bc56e432e441e675ec3c7a7d6586a665f6127ce49d570f1716876e58afb402761f8e95 SHA512 119a2227a808c752a751bc7bec6463da739c68391ebac8d2451998d90ebe03b2af401adbf987f0b694244e715c0ef1fd86c2f4a36c48dbb1ff7cdf4d914875df
DIST scipy-html-1.7.1.zip 32435246 BLAKE2B fd8173da41aba95a14b1376f848bc668c4659bf1bbbdd0f87d926633d36f29c039957d38be145a5583010ebd83f6458090f75bdad773cc0f1591664e13c04c20 SHA512 ee59722878f6ef2d2319cdf4e6a60d3d1184f7c22752f9a8859eaa46fb677ebac9e8eef9c0826998e12bac9399e336799843341ef203224a82c9101347149672
DIST scipy-ref-1.6.2.pdf 34599668 BLAKE2B 9ae3221c814eb0d1b1e9191e08000955af503f6448cf8b5841e400fad106c658670339219f4838bd312023601776fe0b0d123ebbd41460c478145da2ac3e9989 SHA512 9aecb7ca760805c470c41121268281c9547aef35ddf078816c5e48f7cf4912a67cf622e267152c6cc823df9d82be1f3a875d97469169d0d91d6219164c130c88
diff --git a/dev-python/scipy/files/scipy-1.8.0-skip-build-revert.patch b/dev-python/scipy/files/scipy-1.8.0-skip-build-revert.patch
new file mode 100644
index 000000000000..caefc334a973
--- /dev/null
+++ b/dev-python/scipy/files/scipy-1.8.0-skip-build-revert.patch
@@ -0,0 +1,22 @@
+From 2b6392eeeb8ef5225ace15e8a1553fa87409272f Mon Sep 17 00:00:00 2001
+From: Ralf Gommers <ralf.gommers@gmail.com>
+Date: Wed, 29 Dec 2021 22:47:13 +0100
+Subject: [PATCH] Revert "BLD Respect the --skip-build flag in setup.py"
+
+---
+ setup.py | 2 --
+ 1 file changed, 2 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 002531fcc00..d91916e5894 100755
+--- a/setup.py
++++ b/setup.py
+@@ -488,8 +488,6 @@ def setup_package():
+ if "--force" in sys.argv:
+ run_build = True
+ sys.argv.remove('--force')
+- elif "--skip-build" in sys.argv:
+- run_build = False
+ else:
+ # Raise errors for unsupported commands, improve help output, etc.
+ run_build = check_setuppy_command()
diff --git a/dev-python/scipy/scipy-1.8.0.ebuild b/dev-python/scipy/scipy-1.8.0.ebuild
new file mode 100644
index 000000000000..3ff346374073
--- /dev/null
+++ b/dev-python/scipy/scipy-1.8.0.ebuild
@@ -0,0 +1,188 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit fortran-2 distutils-r1 flag-o-matic multiprocessing toolchain-funcs
+
+# upstream is slacking forever with doc updates
+DOC_PV=1.7.1
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="https://www.scipy.org/"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ doc? (
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${DOC_PV}.zip
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-ref-${DOC_PV}.pdf
+ )"
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 -hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc +pythran sparse"
+
+DEPEND="
+ >=dev-python/numpy-1.17.3[lapack,${PYTHON_USEDEP}]
+ sci-libs/arpack:0=
+ virtual/cblas
+ virtual/lapack
+ sparse? ( sci-libs/umfpack:0= )"
+RDEPEND="${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-lang/swig
+ >=dev-python/cython-0.29.18[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ doc? ( app-arch/unzip )
+ pythran? ( dev-python/pythran[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )"
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/${P}-skip-build-revert.patch
+)
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/${PN}-html-${DOC_PV}.zip -d html || die
+ fi
+}
+
+pc_incdir() {
+ $(tc-getPKG_CONFIG) --cflags-only-I $@ | \
+ sed -e 's/^-I//' -e 's/[ ]*-I/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libdir() {
+ $(tc-getPKG_CONFIG) --libs-only-L $@ | \
+ sed -e 's/^-L//' -e 's/[ ]*-L/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libs() {
+ $(tc-getPKG_CONFIG) --libs-only-l $@ | \
+ sed -e 's/[ ]-l*\(pthread\|m\)\([ ]\|$\)//g' \
+ -e 's/^-l//' -e 's/[ ]*-l/,/g' -e 's/[ ]*$//' \
+ | tr ',' '\n' | sort -u | tr '\n' ',' | sed -e 's|,$||'
+}
+
+python_prepare_all() {
+ # scipy automatically detects libraries by default
+ export {FFTW,FFTW3,UMFPACK}=None
+ use sparse && unset UMFPACK
+ # the missing symbols are in -lpythonX.Y, but since the version can
+ # differ, we just introduce the same scaryness as on Linux/ELF
+ [[ ${CHOST} == *-darwin* ]] \
+ && append-ldflags -bundle "-undefined dynamic_lookup" \
+ || append-ldflags -shared
+ [[ -z ${FC} ]] && export FC="$(tc-getFC)"
+ # hack to force F77 to be FC until bug #278772 is fixed
+ [[ -z ${F77} ]] && export F77="$(tc-getFC)"
+ export F90="${FC}"
+ export SCIPY_FCONFIG="config_fc --noopt --noarch"
+ append-fflags -fPIC
+
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = $(pc_incdir cblas)
+ library_dirs = $(pc_libdir cblas blas):${libdir}
+ blas_libs = $(pc_libs cblas blas)
+ [lapack]
+ library_dirs = $(pc_libdir lapack):${libdir}
+ lapack_libs = $(pc_libs lapack)
+ EOF
+ cat >> setup.cfg <<-EOF || die
+ [options]
+ zip_safe = False
+ EOF
+
+ # TODO
+ sed -e "s:== 'levy_stable':in ('levy_stable', 'crystalball', 'ncf'):" \
+ -i scipy/stats/tests/test_continuous_basic.py || die
+
+ # Skip known-failing test. Broken on all versions in Gentoo for years.
+ # bug #743295
+ sed -e 's:test_bisplev_integer_overflow:_&:' \
+ -i scipy/interpolate/tests/test_fitpack.py || die
+
+ # Skip a few 32-bit related failures
+ if use x86 ; then
+ # TODO: Tidy this up and switch to epytest
+ sed -i -e 's:test_nd_axis_m1:_&:' \
+ -e 's:test_nd_axis_0:_&:' \
+ -e 's:test_maxiter_worsening:_&:' \
+ -e 's:test_pdist_jensenshannon_iris:_&:' \
+ -e 's:test_align_vectors_single_vector:_&:' \
+ scipy/signal/tests/test_spectral.py \
+ scipy/sparse/linalg/isolve/tests/test_iterative.py \
+ scipy/spatial/tests/test_distance.py \
+ scipy/spatial/transform/tests/test_rotation.py || die
+ fi
+
+ if has_version ">=sci-libs/lapack-3.10"; then
+ sed -e 's:test_sort(:_&:' \
+ -i scipy/linalg/tests/test_decomp.py || die
+ sed -e 's:test_solve_discrete_are:_&:' \
+ -i scipy/linalg/tests/test_solvers.py || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ export SCIPY_USE_PYTHRAN=$(usex pythran 1 0)
+
+ # bug 721860
+ test-flag-FC -fallow-argument-mismatch &&
+ append-fflags -fallow-argument-mismatch
+}
+
+python_compile() {
+ # FIXME: parallel python building fails, bug #614464
+ export ORIGINAL_MAKEOPTS="${MAKEOPTS}"
+ export MAKEOPTS=-j1
+
+ ${EPYTHON} tools/cythonize.py || die
+ distutils-r1_python_compile \
+ ${SCIPY_FCONFIG}
+}
+
+python_test() {
+ # fails with bdist_egg. should it be fixed in distutils-r1 eclass?
+ distutils_install_for_testing ${SCIPY_FCONFIG}
+ cd "${TEST_DIR}/lib" || die "no ${TEST_DIR} available"
+
+ # Let's try using pytest again with xdist to speed things up.
+ # Note that using pytest is required to avoid dying b/c of a
+ # deprecation warning with distutils in Python 3.01.
+ epytest -n "$(makeopts_jobs "${ORIGINAL_MAKEOPTS}" "$(get_nproc)")"
+}
+
+python_install_all() {
+ use doc && \
+ local DOCS=( "${DISTDIR}"/${PN}-ref-${DOC_PV}.pdf ) \
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ distutils-r1_python_install_all
+}
+
+python_install() {
+ distutils-r1_python_install ${SCIPY_FCONFIG}
+ python_optimize
+}
+
+pkg_postinst() {
+ elog "You might want to set the variable SCIPY_PIL_IMAGE_VIEWER"
+ elog "to your prefered image viewer. Example:"
+ elog " echo \"export SCIPY_PIL_IMAGE_VIEWER=display\" >> ~/.bashrc"
+}
diff --git a/dev-python/semantic_version/Manifest b/dev-python/semantic_version/Manifest
index cd6cd538481b..9a016c5f5ab9 100644
--- a/dev-python/semantic_version/Manifest
+++ b/dev-python/semantic_version/Manifest
@@ -1,2 +1,3 @@
DIST python-semanticversion-81a4730778fba6b5c76242d3c8da6dace7e2ec0a.tar.gz 40289 BLAKE2B 3e41362b5905b69873b13aef3a5146f61991b9e7438c30351b45da420fe9acb41b03664c6c0981ae2e3e22b9f50c061da74742d999c1c5f87dbb2a365249f827 SHA512 db5bc2f40483f06ccebebbbfa14009a68e6d89ab7480d51a3cd26b10fbc9ab1b43def2ea402ceac9db16720d6226be91b04ecf34441b1d535819471007a02df6
DIST semantic_version-2.8.5.tar.gz 50009 BLAKE2B 5f966ca68358d4963b3a41574c100a8f78275445285aebbfa47d1febb0b7a2eb3a638254d4d1bd8e093acbef47a101ef0a0d7a86475313aefa211d2a0a3cfc19 SHA512 2ab59024c148239d78de062ff3a357f81a33fd066b6be8b6f9ef0753841a4945829b1c11899cfbda6c3ff09e00aa3b689e1fb6f8b9a92bbb3c2a62dd713b6049
+DIST semantic_version-2.9.0.tar.gz 51123 BLAKE2B c487c49ad17e7ca224ca4b6602abb42d1406dad8d70a3f5d0c536160e5b2d706ff0e1497961e3b9e0391c6d773ab7d0e9699f171f5781cec1d36025450cb7019 SHA512 e08f8e83ad20e94ecd6393d88836e13703fec3c2f89dc7e44fae42d8a929b2460524053fd7440865fa136d22312501a1368b5c3e923997b02383c8227972aa74
diff --git a/dev-python/semantic_version/semantic_version-2.9.0.ebuild b/dev-python/semantic_version/semantic_version-2.9.0.ebuild
new file mode 100644
index 000000000000..896dfdefe043
--- /dev/null
+++ b/dev-python/semantic_version/semantic_version-2.9.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library providing a few tools handling SemVer in Python"
+HOMEPAGE="https://pypi.org/project/semantic-version/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -p no:django
+}
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 6fc5eef71e76..bd7dc84ef000 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -1,3 +1,4 @@
DIST python-gentoo-patches-3.10.0_p1.tar.xz 10068 BLAKE2B 1c9817b449831559f0a0b722c02a5f55d94b3dfde98e5882c1403fe24a4addf7074ab39c09b91cff6fd7ace2e4b6e8ed899d9a0b9ffd6612ce315c4c192bd309 SHA512 39aa41dbf17b6dc5255491c75031a3dae6962b44125e426dbfdce365a6533c5dae9856b1fff8016a189124b7cff72d2665ce99da344c2f9dff005ba685e8c2c4
DIST setuptools-60.5.0.tar.gz 2292478 BLAKE2B e41b2717b34d454b3959ee5b6f4fdc70dfec13d97fe6962bd1c1ea2296be8ee2d27bb14ed2cc5e6fb9a757661a0415984b3cf7cf1665347c62a50965f651f9d4 SHA512 b2cf7d99e60d0c862a7a4fd8e806019db52502de48ff77556df26ce39a8620f476de767e2e8be8aa260366f54d1429db8a42d538345ec2cd2cfd5286e62e770d
DIST setuptools-60.7.1.tar.gz 2358541 BLAKE2B b48443b95cbd3891ec93d743eb4177302df6742624ea97a97779dd3f101c089ed38ba41d2ff65d35d7e3646d50e62111ecbdd23da9a45cab956006c38d1a42d0 SHA512 cf04353ffc2b1ca30fb219f00265eb6f89330f5489e57997d6975725a19b1e037ab02b9b74a8fcdc84a6234349cfc64855ae57535e0faa46ce4b280a364bb862
+DIST setuptools-60.8.0.tar.gz 2397546 BLAKE2B 6522057b03fcfc8a0be9806ac74964d6d792878c3daf4873b854f64c66685aa0ba4166cb9cf92edeac134bc27c900a457758e68bbb48e4d9d1c0f54c6b76a68d SHA512 5466c0ff15d74b06bb50d660a2890b1ecd28bdda32f70d8343c3adcb894a23c129f127cf0a49ab1db9ac1a648472b956b73caae80d08a2353979d47da3d155d6
diff --git a/dev-python/setuptools/setuptools-60.8.0.ebuild b/dev-python/setuptools/setuptools-60.8.0.ebuild
new file mode 100644
index 000000000000..65a02a716c3f
--- /dev/null
+++ b/dev-python/setuptools/setuptools-60.8.0.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 multiprocessing
+
+CPY_PATCHSET="python-gentoo-patches-3.10.0_p1"
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools https://pypi.org/project/setuptools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ https://dev.gentoo.org/~floppym/python/${CPY_PATCHSET}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/appdirs-1.4.4-r2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-text-3.7.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.12.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.0.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3-r2[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-4.10.1-r1[${PYTHON_USEDEP}]
+ ' python3_{8,9} pypy3)
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_resources-5.4.0-r3[${PYTHON_USEDEP}]
+ ' python3_8 pypy3)
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-python/wheel-0.37.1-r1[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pip-run[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ ' python3_{8..10} pypy3)
+ )
+"
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+DOCS=( {CHANGES,README}.rst )
+
+src_prepare() {
+ # remove bundled dependencies, setuptools will switch to system deps
+ # automatically
+ rm -r */_vendor || die
+
+ # remove the ugly */extern hack that breaks on unvendored deps
+ rm -r */extern || die
+ find -name '*.py' -exec sed \
+ -e 's:from \w*[.]extern ::' -e 's:\w*[.]extern[.]::' \
+ -i {} + || die
+
+ # apply distutils patches to the bundled distutils
+ pushd setuptools/_distutils >/dev/null || die
+ # TODO: distutils C++ patch?
+ eapply -p3 "${WORKDIR}/${CPY_PATCHSET}/0006-distutils-make-OO-enable-both-opt-1-and-opt-2-optimi.patch"
+ popd >/dev/null || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x SETUPTOOLS_USE_DISTUTILS=stdlib
+
+ # keep in sync with python_gen_cond_dep above!
+ has "${EPYTHON}" python3.{8..10} pypy3 || continue
+
+ local EPYTEST_DESELECT=(
+ # network
+ setuptools/tests/integration/test_pip_install_sdist.py::test_install_sdist
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_virtualenv.py::test_clean_env_install
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ 'setuptools/tests/test_virtualenv.py::test_pip_upgrade_from_source[None]'
+ setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+ setuptools/tests/test_setuptools.py::test_its_own_wheel_does_not_contain_tests
+ # unhappy with pytest-xdist?
+ setuptools/tests/test_easy_install.py::TestUserInstallTest::test_local_index
+ # TODO
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ setuptools/tests/test_test.py::test_tests_are_run_once
+ )
+
+ # test_easy_install raises a SandboxViolation due to ${HOME}/.pydistutils.cfg
+ # It tries to sandbox the test in a tempdir
+ HOME="${PWD}" epytest \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" setuptools
+}
diff --git a/dev-python/sphobjinv/Manifest b/dev-python/sphobjinv/Manifest
index 0681c1bf6e6e..87dca51a85a8 100644
--- a/dev-python/sphobjinv/Manifest
+++ b/dev-python/sphobjinv/Manifest
@@ -1,2 +1,3 @@
DIST sphobjinv-2.1.tar.gz 1144017 BLAKE2B 71878e1bac5202ab74298b56cd6172236ea524050323e0d6b8bbc0c89f1937d75f10d40b4071cfbe8c9031641e9a0ecb283da908c40840a61c12a7c892438241 SHA512 cde77d73b09b72358b0ac5b0d8f1a748e78dce6664d1b849ba68f5ff70dc43cbcff4581374d0151be29c4d97efe2920c5c00ff68918371243be158031e9554fa
+DIST sphobjinv-2.2.1.tar.gz 1150428 BLAKE2B 13bec53b00d14466aad652fb822ba32156d4ee3141f2df5bf55eaf77d03627c98c48dd142757ac43fe7dbf00716a85ee4c03060dfcf89e1d9aca4cd2589df5b0 SHA512 9247fc38e5d49adab0921f31e4ad1a8b2ca260c7a921b5fb9db7f800ee484335449031b0f51f81149ff71edba6cc93ab14a683ff6cdce2494322d05474e9a2c7
DIST sphobjinv-2.2.tar.gz 1150648 BLAKE2B db29624c9e7c5ec014793bb76693dfbe87d8742a688b91c196bec12ac03852ae7999717588e075f58f5d2c3109b10d532bd117d482b540d30af27760869a5904 SHA512 257327ad168d5804639d3a064db683e0b9eb4f1dcb864a12a8ba440f3fde31c832bd72298f6381d2590bfac85ffe811563b8de124a135de2b6c1511217925103
diff --git a/dev-python/sphobjinv/sphobjinv-2.2.1.ebuild b/dev-python/sphobjinv/sphobjinv-2.2.1.ebuild
new file mode 100644
index 000000000000..fba675551691
--- /dev/null
+++ b/dev-python/sphobjinv/sphobjinv-2.2.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx objects.inv Inspection/Manipulation Tool"
+HOMEPAGE="
+ https://github.com/bskinn/sphobjinv/
+ https://pypi.org/project/sphobjinv/
+"
+SRC_URI="https://github.com/bskinn/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/attrs-19.2[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/fuzzywuzzy[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/dictdiffer[${PYTHON_USEDEP}]
+ dev-python/pytest-check[${PYTHON_USEDEP}]
+ dev-python/pytest-ordering[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ >=dev-python/stdio-mgr-1.0.1[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/timeout-decorator[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc/source \
+ dev-python/sphinx_rtd_theme \
+ dev-python/sphinx-issues \
+ dev-python/sphinxcontrib-programoutput
+
+src_prepare() {
+ # --strict option is deprecated in pytest>6
+ sed -i -e '/addopts/d' tox.ini || die
+ sed -e '/CLI_TEST_TIMEOUT/s/2/20/' -i tests/test_cli.py || die
+
+ # remove bundled deps
+ rm -r src/sphobjinv/_vendored || die
+ sed -i -e 's:sphobjinv[.]_vendored[.]::' src/sphobjinv/*.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/unidiff/Manifest b/dev-python/unidiff/Manifest
index c4213bac1720..4fd98ea97fab 100644
--- a/dev-python/unidiff/Manifest
+++ b/dev-python/unidiff/Manifest
@@ -1,3 +1,4 @@
DIST unidiff-0.7.0.tar.gz 18883 BLAKE2B 815c578ea02fb9e8a9a6f79e02ba8c35981f49d93b615d198bf5365df11552da84519a6b732986867dca3c329e7b43e9c79e7b158e17ec6921611a8d80aa3af6 SHA512 4f6f249219e4f36d7f753bb117123c508420ecbe6ef4f78936ceea10a5df00a4177ae45d8a56c62d824ee17ddfbc5a41ffc1f45ce1a7add9692b9c86813c2aac
DIST unidiff-0.7.1.tar.gz 19547 BLAKE2B 71d3d8b187846f16e2fc1672c8b2624b4be29ef09b142a2a6c30f32c1812887d764f36ec16cb6d231f32fb84257cdb1abef3c571265f457ad2793bffbd043a74 SHA512 01a2467a10798a5427ae7d40644c881e7ed4775bab5b2bd7948d1153f1941417e2a2fd9beaa313e308900bffe8c8c1cb542d4f18e83786f9638ae20c72f1ad32
DIST unidiff-0.7.2.tar.gz 19862 BLAKE2B 908bc7f3c33193fb5659add921c6ce4065f10026fa20df2f4bc4eb6fc56ed8d974bed1282351e094b8791103e3b93ad439dd0636fb1dc36ece2e3e62a494bee3 SHA512 fc5465db931384f4744308e155d558998d0ef393d3091e6cb3ac141525a9caf4cb4604ea00bd7f205318280113481fb987076ae6423ea29af685d482a7b3bf41
+DIST unidiff-0.7.3.tar.gz 19897 BLAKE2B bc29b912855955de08fdbc186bdf9edf63a0a622262f36a54160f2c61e6604a40d093d43261101864c209e4d2cd5c1db0e48d0dd76174b02a71f89199e00e31d SHA512 451bc765532329c0963961afd15e061e3bcbd85a16cb799310ae0fd34b534f6222514ed4825f90c5ae9ea1b3b0e11a8e169b7991ba9ed82c33325ccb3b10a3b0
diff --git a/dev-python/unidiff/unidiff-0.7.3.ebuild b/dev-python/unidiff/unidiff-0.7.3.ebuild
new file mode 100644
index 000000000000..a42b6d5406f3
--- /dev/null
+++ b/dev-python/unidiff/unidiff-0.7.3.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Unified diff parsing/metadata extraction library"
+HOMEPAGE="https://github.com/matiasb/python-unidiff
+ https://pypi.org/project/unidiff/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+distutils_enable_tests unittest
diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index 9d18ee457082..91fd3316e0c2 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -1,3 +1,4 @@
DIST virtualenv-20.11.2.tar.gz 9953645 BLAKE2B 8bd0e5bee4fad2cdb13b1ce3e018191ef69993c9d1c66332c74908483802b2d1aff1ea1ef9acd4d94b17cacc9ae4c4014ded6ac0e7df4ea807d050d1243d5464 SHA512 18f9c6e50aa6d7b7060163b23332d7e9140199e525f7fb4efe99e84dfb298413889f4516b6e942d3e05a667774093ed521cc757a67a1698138cb793b9798a46f
DIST virtualenv-20.12.1.tar.gz 9956052 BLAKE2B 1507e45de7d1383062b18a2796baf91befec576200560e3a07a5b78e563d6c93cd8f1b3aea327d2edf4d9e582a9a4a9c62f03e9f8cf023318ea4a6cd1fdc6c79 SHA512 1f1a721f1b03cab72330827bca68741cc7f3d4c713a44eb50028ce7b72101cf7530f12cb1fbbff1c94ce9ce621601484845069f34d0c36250f80d8186b2501f9
DIST virtualenv-20.13.0.tar.gz 9957090 BLAKE2B 7ff73c458b319c2a4545e6ad468cfdf3b4d48eec02f2d82843fd5276a0f97b72a953079849295ab2467fc78d6fb304774cac800b8744cbf7a295cc3fc4dbb433 SHA512 72aa8cffe92551479ad4ec93395597cd9f77ddaf2063e36d5836277199a96ab2d57236d94b99b7038a60ada103a2d8a37ae4b13ffaaa6ed8e786245d9fbbf6d6
+DIST virtualenv-20.13.1.tar.gz 11990886 BLAKE2B 9db9504576406f7992f5ad132241e91042e57fc9b37b0a539c11a79499e1b6da9eea997fa9bbba85ba1e3e388b3dc9245bf02f4ee87408547590b9a34ff6f389 SHA512 97204361a308cced55b07b868b2039662b7c9d82cf4ecf64df18ff9723312e73bc9eb2a88937fb6b5f19c2bae3289784cf28bca46f138603fd55d8a76c6e2897
diff --git a/dev-python/virtualenv/virtualenv-20.13.1.ebuild b/dev-python/virtualenv/virtualenv-20.13.1.ebuild
new file mode 100644
index 000000000000..50761aef3c04
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-20.13.1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+ https://virtualenv.pypa.io/en/stable/
+ https://pypi.org/project/virtualenv/
+ https://github.com/pypa/virtualenv/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/backports-entry_points_selectable-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/distlib-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-41[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/pip-20.0.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-freezegun-0.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.3.4[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ )"
+
+# (unpackaged deps)
+#distutils_enable_sphinx docs \
+# dev-python/sphinx-argparse \
+# dev-python/sphinx_rtd_theme \
+# dev-python/towncrier
+distutils_enable_tests pytest
+
+src_configure() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ tests/unit/activation/test_xonsh.py
+ tests/unit/seed/embed/test_bootstrap_link_via_app_data.py::test_seed_link_via_app_data
+ tests/unit/create/test_creator.py::test_cross_major
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_zip_importer_can_import_setuptools'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3--bin-]'
+ )
+
+ epytest
+}
+
+pkg_postinst() {
+ elog "Please note that while virtualenv package no longer supports"
+ elog "Python 2.7, you can still create py2.7 virtualenvs via:"
+ elog " $ virtualenv -p 2.7 ..."
+}